Mailinglist Archive: opensuse-bugs (8048 mails)

< Previous Next >
[Bug 238552] use --disable-static where appropriate
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 13 Feb 2007 03:45:06 -0700 (MST)
  • Message-id: <20070213104506.8EB00FB8@xxxxxxxxxxxxxxxxxxxxxx>
https://bugzilla.novell.com/show_bug.cgi?id=238552





------- Comment #17 from sbrabec@xxxxxxxxxx 2007-02-13 03:45 MST -------
Another deeper upstream bug report:
pkg-config does not support mixed static+shared library environment
http://bugs.freedesktop.org/show_bug.cgi?id=9917

Repeating the same with libglib-2.0.so.0, which also disables static library by
default.

avahi-devel: Unusable /usr/lib/libavahi-glib.a
libbeagle-devel: Unusable /usr/lib/libbeagle.a
libbonobo-devel: Unusable /usr/lib/libbonobo-activation.a
libbonobo-devel: Unusable /usr/lib/libbonobo-2.a
libbtctl-devel: Unusable /usr/lib/libbtctl.a
libcroco-devel: Unusable /usr/lib/libcroco-0.6.a
dbus-1-glib-devel: Unusable /usr/lib/libdbus-glib-1.a
xdelta: Unusable /usr/lib/libedsio.a
enchant-devel: Unusable /usr/lib/libenchant.a
libgalago-devel: Unusable /usr/lib/libgalago.a
gconf2-devel: Unusable /usr/lib/libgconf-2.a
libgda-devel: Unusable /usr/lib/libgda-report-3.a
libgda-devel: Unusable /usr/lib/libgdasql.a
libgda-devel: Unusable /usr/lib/libgda-3.a
gdome2-devel: Unusable /usr/lib/libgdome.a
glabels: Unusable /usr/lib/libglabels.a
gmime-devel: Unusable /usr/lib/libgmime-2.0.a
gnet-devel: Unusable /usr/lib/libgnet-2.0.a
libgnomecups-devel: Unusable /usr/lib/libgnomecups-1.0.a
gnome-menus-devel: Unusable /usr/lib/libgnome-menu.a
libgnomeprint-devel: Unusable /usr/lib/libgnomeprint-2-2.a
libgnomeservice-devel: Unusable /usr/lib/libgnomeservice-1.a
gnome-vfs2-devel: Unusable /usr/lib/libgnomevfs-2.a
libgnome-devel: Unusable /usr/lib/libgnome-2.a
libgpod-devel: Unusable /usr/lib/libgpod.a
gsf-sharp: Unusable /usr/lib/libgsfglue.a
libgsf-devel: Unusable /usr/lib/libgsf-gnome-1.a
libgsf-devel: Unusable /usr/lib/libgsf-1.a
gstreamer010-plugins-base-devel: Unusable /usr/lib/libgstaudio-0.10.a
gstreamer010-devel: Unusable /usr/lib/libgstbase-0.10.a
gstreamer010-plugins-base-devel: Unusable /usr/lib/libgstcdda-0.10.a
gstreamer010-devel: Unusable /usr/lib/libgstcontroller-0.10.a
gstreamer010-devel: Unusable /usr/lib/libgstdataprotocol-0.10.a
gstreamer010-devel: Unusable /usr/lib/libgstcheck-0.10.a
gstreamer010-plugins-base-devel: Unusable /usr/lib/libgstinterfaces-0.10.a
gstreamer010-plugins-base-devel: Unusable /usr/lib/libgstnetbuffer-0.10.a
gstreamer010-devel: Unusable /usr/lib/libgstnet-0.10.a
gstreamer010-devel: Unusable /usr/lib/libgstreamer-0.10.a
gstreamer010-plugins-base-devel: Unusable /usr/lib/libgstriff-0.10.a
gstreamer010-plugins-base-devel: Unusable /usr/lib/libgstrtp-0.10.a
gstreamer010-plugins-base-devel: Unusable /usr/lib/libgsttag-0.10.a
gstreamer010-plugins-base-devel: Unusable /usr/lib/libgstvideo-0.10.a
gtk-devel: Unusable /usr/lib/libgtk.a
libgtop-devel: Unusable /usr/lib/libgtop-2.0.a
g-wrap-devel: Unusable /usr/lib/libgw-guile-gw-glib.a
libidl-devel: Unusable /usr/lib/libIDL-2.a
libipoddevice-devel: Unusable /usr/lib/libipoddevice.a
linphone-devel: Unusable /usr/lib/liblinphone.a
loudmouth-devel: Unusable /usr/lib/libloudmouth-1.a
mdbtools-odbc: Unusable /usr/lib/libmdbodbc.a
mdbtools-devel: Unusable /usr/lib/libmdb.a
mdbtools-devel: Unusable /usr/lib/libmdbsql.a
meanwhile-devel: Unusable /usr/lib/libmeanwhile.a
mono-debugger: Unusable /usr/lib/libmonodebuggerreadline.a
mono-debugger: Unusable /usr/lib/libmonodebuggerserver.a
mono-devel: Unusable /usr/lib/libmono-profiler-aot.a
mono-devel: Unusable /usr/lib/libmono-profiler-cov.a
mono-devel: Unusable /usr/lib/libmono.a
NetworkManager-devel: Unusable /usr/lib/libnm_glib.a
NetworkManager-devel: Unusable /usr/lib/libnm-util.a
libnvtv-devel: Unusable /usr/lib/libnvtvsimple.a
openhpi-devel: Unusable /usr/lib/libopenhpi_snmp.a
openhpi-devel: Unusable /usr/lib/libopenhpi.a
openhpi-devel: Unusable /usr/lib/libopenhpiui.a
openhpi-devel: Unusable /usr/lib/libopenhpiutils.a
orbit2-devel: Unusable /usr/lib/libORBitCosNaming-2.a
orbit2-devel: Unusable /usr/lib/libORBit-imodule-2.a
orbit2-devel: Unusable /usr/lib/libORBit-2.a
PolicyKit: Unusable /usr/lib/libpolkit-grant.a
PolicyKit: Unusable /usr/lib/libpolkit.a
librsvg-devel: Unusable /usr/lib/librsvg-2.a
SDL_Pango-devel: Unusable /usr/lib/libSDL_Pango.a
libsoup-devel: Unusable /usr/lib/libsoup-2.2.a
wv-devel: Unusable /usr/lib/libwv.a
xdelta: Unusable /usr/lib/libxdelta.a
libxfce4util-devel: Unusable /usr/lib/libxfce4util.a
libxklavier-devel: Unusable /usr/lib/libxklavier.a
libxml++-devel: Unusable /usr/lib/libxml++-2.6.a


--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.

< Previous Next >